Name: php-composer
Summary: A tool for dependency management in PHP
Version: 2.2.17
Release: 1%{?_dist_release}
Group: programming
Vendor: Project Vine
Distribution: Vine Linux
Packager: tomop

License: MIT
URL: https://getcomposer.org/
Source0: https://github.com/composer/composer/archive/%{version}.tar.gz#/composer-%{version}.tar.gz
Source1: https://getcomposer.org/download/%{version}/composer.phar#/composer.phar-%{version}

BuildArch: noarch

Provides: composer = %{version}-%{release}
Requires: php

%description
 Composer is a tool for dependency management in PHP. It allows you
to declare the libraries your project depends on and it will manage
(install/update) them for you.


%prep
%setup -q -n composer-%{version}


%build


%install

mkdir -p %{buildroot}%{_bindir}
install -m755 %{SOURCE1} %{buildroot}%{_bindir}/composer


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc *.md doc
%doc composer.json
%{_bindir}/composer


%changelog
* Thu Jul 14 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.17-1
- new upstream release.

* Wed Jul 06 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.16-1
- new upstream release.

* Wed Jun 08 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.14-1
- new upstream release.

* Thu May 26 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.13-1
- new upstream release.

* Wed Apr 20 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.12-1
- new upstream release.

* Wed Mar 30 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.10-1
- new upstream release.

* Wed Mar 16 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.9-1
- new upstream release.

* Wed Mar 16 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.8-1
- new upstream release.

* Sat Feb 26 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.7-1
- new upstream release.

* Sat Feb 05 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.6-1
- new upstream release.

* Sat Jan 22 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.5-1
- new upstream release.

* Sun Jan  9 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.4-1
- new upstream release.

* Fri Dec 31 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.3-1
- new upstream release.

* Thu Dec 30 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.2-1
- new upstream release.

* Thu Dec 23 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.1-1
- new upstream release.

* Wed Dec 22 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.2.0-1
- new upstream release.

* Wed Dec 01 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.1.14-1
- new upstream release.

* Wed Nov 10 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.1.12-1
- new upstream release.

* Wed Nov 03 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.1.11-1
- new upstream release.

* Sat Oct 30 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.1.10-1
- new upstream release.

* Thu Oct 14 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.1.9-1
- new upstream release.

* Sat Jun 05 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.1.1-1
- new upstream release.

* Sat Apr 10 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.0.12-1
- new upstream release.

* Sat Feb 06 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.0.9-1
- new upstream release.

* Fri Feb 21 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.9.3-1
- new upstream release.

* Fri Sep 06 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.9.0-1
- new upstream release.

* Tue Dec 25 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.8.0-1
- new upstream release.

* Fri Feb 02 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.6.3-1
- new upstream release.

* Fri Dec 22 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.5.6-1
- new upstream release.

* Mon Jun 13 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.1.2-1
- initial build for Vine Linux.
