Name:		xcb-util-image
Version:	0.4.0
Release:	2%{?_dist_release}
Summary:	XCB util-image module
Group:		system
Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

License:	MIT
URL:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	xcb-util-devel

%description
XCB util-image module provides the following library:

  - image: Port of Xlib's XImage and XShmImage functions.


%package 	devel
Summary:	Development and header files for %{name}
Summary(ja):	%{name} の開発用ファイル
Group:		programming
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
Development files for %{name}.


%debug_package


%prep
%setup -q


%build
%configure --with-pic --disable-static

make %{?_smp_mflags}


%check
make check


%install
rm -rf %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

rm %{buildroot}%{_libdir}/*.la


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_libdir}/libxcb-image.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/xcb-image.pc
%{_libdir}/libxcb-image.so
%{_includedir}/xcb/*.h


%changelog
* Tue Sep 13 2022 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 0.4.0-2
- rebuilt with current environment.
- dropped ldconfig scriptlets.

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.9-2
- new upstream release
- moved devel package to Development/Libraries Group

* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.9-2
- rebuild with VineSeed environment

* Sun Jun 16 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.9-1
- initial build
